searchNodes=[{"doc":"Creates a new module in the current application, based on a template. The location of the new module is defined according to the :mount option in :modkit configuration defined in the project file ( mix.exs ). If not defined, default mount points are defined as follows: [ { App , &quot;lib/app&quot; } { Mix.Tasks , &quot;lib/mix/tasks&quot; , flavor : :mix_task } ] Usage mix mod . new [ options ] &lt; module &gt; Options -d , --dynamic-supervisor - use DynamicSupervisor and define base functions -g , --gen-server - use GenServer and define base functions -o , --overwrite - Overwrite the file if it exists. Always prompt. -p , --path - The path of the module to write. Unnecessary if the module prefix is mounted. -s , --supervisor - use Supervisor and define base functions --help - Displays this help.","ref":"Mix.Tasks.Mod.New.html","title":"Mix.Tasks.Mod.New","type":"task"},{"doc":"Relocates modules in application according to the :mount option in :modkit configuration defined in the project file ( mix.exs ). If not defined, default mount points are defined as follows: [ { App , &quot;lib/app&quot; } { Mix.Tasks , &quot;lib/mix/tasks&quot; , flavor : :mix_task } ] Usage mix mod . relocate [ options ] Options -f , --force - This flag will make the command actually relocate the files. -i , --interactive - This flag will make the command prompt for confirmation whenever a file can be relocated. Takes precedences over --force . --help - Displays this help.","ref":"Mix.Tasks.Mod.Relocate.html","title":"Mix.Tasks.Mod.Relocate","type":"task"},{"doc":"","ref":"Modkit.html","title":"Modkit","type":"module"},{"doc":"","ref":"Modkit.html#load_current_project/0","title":"Modkit.load_current_project/0","type":"function"},{"doc":"","ref":"Modkit.CLI.html","title":"Modkit.CLI","type":"module"},{"doc":"","ref":"Modkit.CLI.html#color/2","title":"Modkit.CLI.color/2","type":"function"},{"doc":"","ref":"Modkit.CLI.html#debug/1","title":"Modkit.CLI.debug/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#error/1","title":"Modkit.CLI.error/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#format_usage/2","title":"Modkit.CLI.format_usage/2","type":"function"},{"doc":"","ref":"Modkit.CLI.html#get_opt_value/3","title":"Modkit.CLI.get_opt_value/3","type":"function"},{"doc":"","ref":"Modkit.CLI.html#halt/1","title":"Modkit.CLI.halt/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#halt_error/2","title":"Modkit.CLI.halt_error/2","type":"function"},{"doc":"","ref":"Modkit.CLI.html#halt_success/1","title":"Modkit.CLI.halt_success/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#parse/2","title":"Modkit.CLI.parse/2","type":"function"},{"doc":"","ref":"Modkit.CLI.html#parse_or_halt!/2","title":"Modkit.CLI.parse_or_halt!/2","type":"function"},{"doc":"","ref":"Modkit.CLI.html#put_shell/1","title":"Modkit.CLI.put_shell/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#shell/0","title":"Modkit.CLI.shell/0","type":"function"},{"doc":"","ref":"Modkit.CLI.html#success/1","title":"Modkit.CLI.success/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#warn/1","title":"Modkit.CLI.warn/1","type":"function"},{"doc":"","ref":"Modkit.CLI.html#writeln/1","title":"Modkit.CLI.writeln/1","type":"function"},{"doc":"","ref":"Modkit.Mod.html","title":"Modkit.Mod","type":"module"},{"doc":"","ref":"Modkit.Mod.html#current_path/2","title":"Modkit.Mod.current_path/2","type":"function"},{"doc":"","ref":"Modkit.Mod.html#list_all/1","title":"Modkit.Mod.list_all/1","type":"function"},{"doc":"","ref":"Modkit.Mod.html#list_by_file/2","title":"Modkit.Mod.list_by_file/2","type":"function"},{"doc":"Returns the module that is a local root of all given modules. That is a common prefix of all given modules that is also a module from the list. For instance, modules A and A.B have a common prefix that is A , and A is provided as an argument, so it will be returned. But if only A.B and A.C are provided, the common prefix A will not be returned since it is not one of the arguments. Examples iex&gt; local_root ( [ A , A.B ] ) A iex&gt; local_root ( [ A.B , A.C , A ] ) A iex&gt; local_root ( [ A.B , A.C ] ) nil iex&gt; local_root ( [ ] ) nil","ref":"Modkit.Mod.html#local_root/1","title":"Modkit.Mod.local_root/1","type":"function"},{"doc":"Given two module names, returns the module name that is a prefix of the other, or nil if the two names are disjoint. See local_root/1 . Examples iex&gt; local_root ( A , A.B ) A iex&gt; local_root ( A.B , A.C ) nil","ref":"Modkit.Mod.html#local_root/2","title":"Modkit.Mod.local_root/2","type":"function"},{"doc":"TODO describe the purpose of this module.","ref":"Modkit.Mod.Template.html","title":"Modkit.Mod.Template","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.html#render/2","title":"Modkit.Mod.Template.render/2","type":"function"},{"doc":"","ref":"Modkit.Mod.Template.BaseModule.html","title":"Modkit.Mod.Template.BaseModule","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.BaseModule.html#template/0","title":"Modkit.Mod.Template.BaseModule.template/0","type":"function"},{"doc":"","ref":"Modkit.Mod.Template.DynamicSupervisorTemplate.html","title":"Modkit.Mod.Template.DynamicSupervisorTemplate","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.DynamicSupervisorTemplate.html#template/0","title":"Modkit.Mod.Template.DynamicSupervisorTemplate.template/0","type":"function"},{"doc":"","ref":"Modkit.Mod.Template.GenServerTemplate.html","title":"Modkit.Mod.Template.GenServerTemplate","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.GenServerTemplate.html#template/0","title":"Modkit.Mod.Template.GenServerTemplate.template/0","type":"function"},{"doc":"","ref":"Modkit.Mod.Template.MixTaskTemplate.html","title":"Modkit.Mod.Template.MixTaskTemplate","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.MixTaskTemplate.html#template/0","title":"Modkit.Mod.Template.MixTaskTemplate.template/0","type":"function"},{"doc":"","ref":"Modkit.Mod.Template.SupervisorTemplate.html","title":"Modkit.Mod.Template.SupervisorTemplate","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.SupervisorTemplate.html#template/0","title":"Modkit.Mod.Template.SupervisorTemplate.template/0","type":"function"},{"doc":"","ref":"Modkit.Mod.Template.UnitTestTemplate.html","title":"Modkit.Mod.Template.UnitTestTemplate","type":"module"},{"doc":"","ref":"Modkit.Mod.Template.UnitTestTemplate.html#template/0","title":"Modkit.Mod.Template.UnitTestTemplate.template/0","type":"function"},{"doc":"","ref":"Modkit.Mount.html","title":"Modkit.Mount","type":"module"},{"doc":"","ref":"Modkit.Mount.html#define!/1","title":"Modkit.Mount.define!/1","type":"function"},{"doc":"","ref":"Modkit.Mount.html#define/1","title":"Modkit.Mount.define/1","type":"function"},{"doc":"","ref":"Modkit.Mount.html#define_point/1","title":"Modkit.Mount.define_point/1","type":"function"},{"doc":"","ref":"Modkit.Mount.html#preferred_path/2","title":"Modkit.Mount.preferred_path/2","type":"function"},{"doc":"","ref":"Modkit.Mount.html#prefix_of?/2","title":"Modkit.Mount.prefix_of?/2","type":"function"},{"doc":"","ref":"Modkit.Mount.html#resolve/2","title":"Modkit.Mount.resolve/2","type":"function"},{"doc":"","ref":"Modkit.Mount.Point.html","title":"Modkit.Mount.Point","type":"module"},{"doc":"","ref":"Modkit.SnakeCase.html","title":"Modkit.SnakeCase","type":"module"},{"doc":"","ref":"Modkit.SnakeCase.html#to_snake/1","title":"Modkit.SnakeCase.to_snake/1","type":"function"}]